View Issue Details

IDProjectCategoryView StatusLast Update
0038056FPCCompilerpublic2020-11-11 09:33
ReporterKarl-Michael Schindler Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS X 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0038056: svn commit 47330 breaks building subarch armv6m of the arm-embedded crosscompiler
DescriptionThe svn commit 47330 breaks building subarch armv6m of the arm-embedded crosscompiler.

Error message:
...
/Volumes/Reserve/Developer/FreePascal/compiler/ppcrossarm -Cparmv6m -Ur -Tembedded -Parm -XParm-embedded- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -FE. -FU/Volumes/Reserve/Developer/FreePascal/rtl/units/arm-embedded -ap -v0 -Fl/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib -darm -dRELEASE -Us -Sg system.pp @system.cfg
{standard input}: Assembler messages:
{standard input}:26772: Error: invalid base register for register offset -- `str r1,[r13,r2]'
{standard input}:73839: Error: invalid base register for register offset -- `str r0,[r13,r2]'
system.pp(311) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
make[3]: *** [Makefile:3068: system.ppu] Fehler 1
make[3]: Verzeichnis „/Volumes/Reserve/Developer/FreePascal/rtl/embedded“ wird verlassen
make[2]: *** [Makefile:2939: embedded_all] Fehler 2
make[2]: Verzeichnis „/Volumes/Reserve/Developer/FreePascal/rtl“ wird verlassen
make[1]: *** [Makefile:2839: rtl_all] Fehler 2
make[1]: Verzeichnis „/Volumes/Reserve/Developer/FreePascal“ wird verlassen
make: *** [Makefile:3086: build-stamp.arm-embedded] Fehler 2
Steps To Reproducesvn up -r 47330
make -j 4 all FPMAKEOPT="-T 4" OPT="-ap -v0 -Fl/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib" CPU_TARGET=arm OS_TARGET=embedded SUBARCH=armv6m
Additional InformationAll other subarch cross compilers build without problems.
I do not think, i t matters, but for the sake of completeness:
Starting compiler is fpc 3.2.0, 64 bit on macOS 10.15 installed through fink; arm-embedded binutils, version 2.35.
TagsNo tags attached.
Fixed in Revision47380
FPCOldBugId
FPCTarget-
Attached Files

Activities

Karl-Michael Schindler

2020-11-10 23:56

reporter   ~0126830

Fix confirmed. Thanks. The number of your fixing commit is actually #47380. With greetings from Herrn Erbsenzaehler ;-)

Sven Barth

2020-11-11 09:33

manager   ~0126832

(fixed the revision)

Issue History

Date Modified Username Field Change
2020-11-09 19:11 Karl-Michael Schindler New Issue
2020-11-10 23:05 Florian Assigned To => Florian
2020-11-10 23:05 Florian Status new => resolved
2020-11-10 23:05 Florian Resolution open => fixed
2020-11-10 23:05 Florian Fixed in Version => 3.3.1
2020-11-10 23:05 Florian Fixed in Revision => 38056
2020-11-10 23:05 Florian FPCTarget => -
2020-11-10 23:56 Karl-Michael Schindler Status resolved => closed
2020-11-10 23:56 Karl-Michael Schindler Note Added: 0126830
2020-11-11 09:33 Sven Barth Fixed in Revision 38056 => 47380
2020-11-11 09:33 Sven Barth Note Added: 0126832